Name:		ovirt-engine-api-model
Version:	4.6.0
Release:	1%{?dist}
Summary:	Model management tools for the oVirt Engine API.
Group:		%{ovirt_product_group}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-doc-%{version}.jar

BuildArch:	noarch

# We need to disable automatic generation of "Requires: java-headless >= 1:11"
# by xmvn, becase JDK 11 doesn't provide java-headless artifact, but it
# provides java-11-headless.
AutoReq:	no

BuildRequires:	java-11-openjdk-devel
BuildRequires:	maven-local
BuildRequires:	ovirt-engine-api-metamodel >= 1.3.8
BuildRequires:	mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:	mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-surefire-plugin)
BuildRequires:	mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:	mvn(org.ovirt.maven.plugins:ovirt-jboss-modules-maven-plugin)

# Required to pass COPR build, which uses old xmvn package
BuildRequires:	maven

Requires:	ovirt-engine-api-metamodel-server
Requires:	java-11-openjdk-headless >= 1:11.0.0
Requires:	javapackages-filesystem
Requires:	mvn(org.ovirt.engine.api:metamodel-annotations)
Requires:	mvn(org.ovirt.engine.api:metamodel-server)


%description
%{name} provides model management tools for the oVirt Engine API.


%prep
%setup -c -q

# maven-release-plugin is not used during package build, so we can remove it
# from pom.xml
%pom_remove_plugin :maven-release-plugin pom.xml


%build
# Necessary to override the default JVM for xmvn in COPR, which is JDK 8
export JAVA_HOME="/usr/lib/jvm/java-11-openjdk"

%mvn_build -j -d


%install
%mvn_install

mkdir -p %{buildroot}/%{_docdir}/%{name}
unzip %{SOURCE1} -d %{buildroot}/%{_docdir}/%{name}


%files -f .mfiles
%license ASL2
%{_docdir}/%{name}

%changelog
* Thu Nov 24 2022 Martin Perina <mperina@redhat.com> 4.6.0-1
- Add loongarch64 architecture type

* Thu Sep 29 2022 Ori Liel <oliel@redhat.com> 4.5.12-1
- bump metamodel to 1.3.10

* Tue Aug 02 2022 Ori Liel <oliel@redhat.com> 4.5.11-1
- bump metamodel to 1.3.9
- Image I/O Proxy is replaced by ovirt-imageio
- Deprecate VmPool.display attribute
- Add TpmSupport to OperatingSystemInfo
- git safe dir

* Sun Mar 06 2022 Martin Perina <mperina@redhat.com> 4.5.3-1
- Initial RPM release

